let partsApiFun = function(vm){
	// 接口公共前缀
	const prefix = '/wxh-worker-rest/rest/'
	const coverage = '/wxh-worker-rest/rest/coverage/' 
	const parts = '/wxh-worker-rest/rest/parts/'
	const base = '/wxh-worker-rest/rest/base/'
	
	/**
	 * 配件申请单-查询网点地址信息
	 */
	let getSiteAddress = async () => await vm.$u.get(coverage + vm.vuex_token + '/getSiteAddress');
	/**
	 * 配件申请单-修改网点地址信息
	 */
	let updateAddress = async (params = {}) => await vm.$u.post(coverage + vm.vuex_token + '/updateSiteAddress', params);
	/**
	 * 配件过滤-品类列表
	 */
	let getCategoryList = async () => await vm.$u.get(base + vm.vuex_token + '/allow/category/list');
	/**
	 * 配件过滤-品牌列表
	 */
	let getBrandList = async (params = {}) => await vm.$u.get(base + vm.vuex_token + '/allow/brand/list', params);
	 /**
	 * 查询配件列表
	 */
	let getPartsList = async (params = {}) => await vm.$u.get(parts + vm.vuex_token + '/parts', params);
	/**
	 * 配件申请单-创建申请单/使用备件
	 */
	let applyParts = async (params = {}) => await vm.$u.post(parts + vm.vuex_token + '/orders', params)
	
	const partsApi = {
		getSiteAddress,
		updateAddress,
		getCategoryList,
		getBrandList,
		getPartsList,
		applyParts
	}
	return partsApi
}
module.exports =  {
	partsApiFun
}